public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/bottleneck/
Date: Fri, 24 May 2024 04:03:17 +0000 (UTC)	[thread overview]
Message-ID: <1716523378.4abf241c1b862bc2bcd5ff191eae59438ee4e652.mgorny@gentoo> (raw)

commit:     4abf241c1b862bc2bcd5ff191eae59438ee4e652
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri May 24 03:22:13 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May 24 04:02:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4abf241c

dev-python/bottleneck: Bump to 1.4.0_rc5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/bottleneck/Manifest                    |  1 +
 dev-python/bottleneck/bottleneck-1.4.0_rc5.ebuild | 52 +++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/bottleneck/Manifest b/dev-python/bottleneck/Manifest
index 4626db60907c..de23db953952 100644
--- a/dev-python/bottleneck/Manifest
+++ b/dev-python/bottleneck/Manifest
@@ -1 +1,2 @@
 DIST Bottleneck-1.3.8.tar.gz 103252 BLAKE2B 1e520e33eaa86b7328d469a8de2f0cacedb401f9dab3686cad40132caa23e77055b71e630fadda9305f3d416e8958e9762053e6d46afba4cf15489db77418b67 SHA512 951a927ce368643e2ccb5154c05381ce9ff17bc703c0bcd85eab547e345601ad82eb1dc85fa16d667753bf3dc9d0296025984dae463a0153944a85a085331a8e
+DIST bottleneck-1.4.0rc5.tar.gz 103528 BLAKE2B 760c0958507b5472525694f7b5a11bdb999aa7fb14ab1465d49a81ef8725a007cf070e8393a807a703af7aad1419aafb19859d62bf8871be0348d60b4913d62c SHA512 68394c00567456af54096005d1f971abe872ee1f6d8776aac46d7e183bbb20dbee730e6845fd2c94cdc4dcdb4b8da2e154610784227d5058153c078c61bd9311

diff --git a/dev-python/bottleneck/bottleneck-1.4.0_rc5.ebuild b/dev-python/bottleneck/bottleneck-1.4.0_rc5.ebuild
new file mode 100644
index 000000000000..10ecbed939fe
--- /dev/null
+++ b/dev-python/bottleneck/bottleneck-1.4.0_rc5.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fast NumPy array functions written in C"
+HOMEPAGE="
+	https://github.com/pydata/bottleneck/
+	https://pypi.org/project/Bottleneck/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+
+DEPEND="
+	>=dev-python/numpy-1.9.1:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+	${DEPEND}
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# don't overwrites user's optimization level
+	sed -e '/extra_compile_args=\["-O2"\]/d' -i setup.py || die
+
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	local EPYTEST_DESELECT=()
+	case ${EPYTHON} in
+		pypy3)
+			EPYTEST_DESELECT+=(
+				# GC assumptions?
+				tests/memory_test.py::test_memory_leak
+			)
+			;;
+	esac
+
+	rm -rf bottleneck || die
+	epytest --pyargs bottleneck
+}


             reply	other threads:[~2024-05-24  4:03 UTC|newest]

Thread overview: 98+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-05-24  4:03 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-28 18:52 [gentoo-commits] repo/gentoo:master commit in: dev-python/bottleneck/ Michał Górny
2024-11-03  3:52 Michał Górny
2024-11-02 22:51 Sam James
2024-11-02 12:35 Arthur Zamarin
2024-11-02 10:08 Arthur Zamarin
2024-11-02  9:24 Michał Górny
2024-11-02  9:10 Sam James
2024-10-18 16:11 Arthur Zamarin
2024-10-14  4:11 Michał Górny
2024-10-13  2:48 Michał Górny
2024-07-06  7:09 Arthur Zamarin
2024-07-06  6:54 Arthur Zamarin
2024-07-06  6:29 Sam James
2024-07-06  6:26 Sam James
2024-07-06  6:14 Sam James
2024-06-18  4:45 Michał Górny
2024-06-08  6:18 Michał Górny
2024-06-05 11:01 Arthur Zamarin
2024-06-05  6:48 Arthur Zamarin
2024-06-05  6:48 Arthur Zamarin
2024-06-05  6:48 Arthur Zamarin
2024-05-19 19:43 Arthur Zamarin
2024-05-19 11:47 Michał Górny
2024-04-11 11:59 Michał Górny
2024-03-14 11:25 Michał Górny
2024-03-14  7:34 Sam James
2024-03-13 21:42 Sam James
2024-03-13 15:15 Arthur Zamarin
2024-03-13 15:03 Arthur Zamarin
2024-03-13 14:04 Arthur Zamarin
2024-03-13 13:54 Arthur Zamarin
2024-02-25  4:07 Michał Górny
2024-01-04 11:29 WANG Xuerui
2023-11-22 15:01 Andrew Ammerlaan
2023-10-24 21:11 Michał Górny
2023-05-04 16:11 Michał Górny
2023-04-08 12:29 Michał Górny
2023-04-08 10:47 Arthur Zamarin
2023-04-08 10:43 Arthur Zamarin
2023-04-08  9:48 Arthur Zamarin
2023-04-08  9:02 Arthur Zamarin
2023-04-08  8:22 Arthur Zamarin
2023-04-08  8:17 Arthur Zamarin
2023-03-09  5:58 Michał Górny
2023-02-21  8:00 Michał Górny
2023-02-20 23:28 Sam James
2023-02-20 19:31 Arthur Zamarin
2023-02-20 19:22 Arthur Zamarin
2023-02-20 19:17 Arthur Zamarin
2023-02-20 19:12 Arthur Zamarin
2023-02-20 19:09 Arthur Zamarin
2023-01-20  4:50 Michał Górny
2022-12-19 18:28 Arthur Zamarin
2022-08-03  7:49 Agostino Sarubbo
2022-08-02 20:27 Sam James
2022-08-02 18:09 Arthur Zamarin
2022-08-02 18:08 Arthur Zamarin
2022-08-02 18:07 Arthur Zamarin
2022-08-02 17:44 Arthur Zamarin
2022-07-03  4:01 Michał Górny
2022-06-11  6:56 Michał Górny
2022-06-11  6:56 Michał Górny
2022-03-28 10:14 Michał Górny
2022-03-28  6:51 Agostino Sarubbo
2022-03-27  6:27 Agostino Sarubbo
2022-03-26 19:45 Sam James
2022-03-26 19:36 Arthur Zamarin
2022-03-26 19:35 Arthur Zamarin
2022-03-26 18:14 Arthur Zamarin
2022-02-22 18:55 Michał Górny
2022-02-14  8:35 Matt Turner
2021-11-20  6:35 Sam James
2021-11-18 11:10 Sam James
2021-11-18 11:01 Sam James
2021-11-14 23:51 Sam James
2021-10-24 21:14 Sam James
2021-10-02 23:17 Sam James
2021-09-06 23:42 Sam James
2021-07-19 14:45 Marek Szuba
2021-06-19 20:50 Michał Górny
2020-08-07 19:19 Sam James
2020-07-14 13:02 Sam James
2020-07-06 14:13 Michał Górny
2020-07-06 14:13 Michał Górny
2020-07-05  8:40 Sergei Trofimovich
2020-07-05  8:38 Sergei Trofimovich
2020-06-06 21:07 Pacho Ramos
2020-03-07 15:11 Michał Górny
2020-01-28 21:30 Michał Górny
2020-01-19 19:54 Pacho Ramos
2019-12-26 14:36 David Seifert
2018-08-22 19:19 Virgil Dupras
2018-08-22 19:17 Virgil Dupras
2018-01-23  9:29 Patrice Clement
2017-06-04 10:42 Agostino Sarubbo
2017-06-04 10:34 Agostino Sarubbo
2017-03-11  2:23 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1716523378.4abf241c1b862bc2bcd5ff191eae59438ee4e652.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox